/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.ripartizione.dbmodel.jooq;


import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.AnagClient;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.AnagDsp;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.AnagUtilizationType;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.BackclaimInProgress;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.CcidMetadata;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.CcidS3Path;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.ClientToDsp;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.CommercialOffers;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.CurrencyRate;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrMetadata;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrMetadataConfig;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrStatistics;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrStatisticsSophia;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrStepsMonitoring;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrUnidentified;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.ImportiAnticipo;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.Invoice;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceAccantonamento;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceItem;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceItemToCcid;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceLog;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceReclamo;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.ItemInvoiceReason;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.MmRipartizioneCarico;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.MmRipartizioneCaricoCcid;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.MmRipartizione_648;
import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.UnidentifiedSongDsr;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import javax.annotation.Generated;

import org.jooq.Catalog;
import org.jooq.Table;
import org.jooq.impl.SchemaImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class DefaultSchema extends SchemaImpl {

    private static final long serialVersionUID = 2118545913;

    /**
     * The reference instance of <code></code>
     */
    public static final DefaultSchema DEFAULT_SCHEMA = new DefaultSchema();

    /**
     * The table <code>ANAG_CLIENT</code>.
     */
    public final AnagClient ANAG_CLIENT = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.AnagClient.ANAG_CLIENT;

    /**
     * The table <code>ANAG_DSP</code>.
     */
    public final AnagDsp ANAG_DSP = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.AnagDsp.ANAG_DSP;

    /**
     * The table <code>ANAG_UTILIZATION_TYPE</code>.
     */
    public final AnagUtilizationType ANAG_UTILIZATION_TYPE = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.AnagUtilizationType.ANAG_UTILIZATION_TYPE;

    /**
     * The table <code>BACKCLAIM_IN_PROGRESS</code>.
     */
    public final BackclaimInProgress BACKCLAIM_IN_PROGRESS = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.BackclaimInProgress.BACKCLAIM_IN_PROGRESS;

    /**
     * The table <code>CCID_METADATA</code>.
     */
    public final CcidMetadata CCID_METADATA = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.CcidMetadata.CCID_METADATA;

    /**
     * The table <code>CCID_S3_PATH</code>.
     */
    public final CcidS3Path CCID_S3_PATH = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.CcidS3Path.CCID_S3_PATH;

    /**
     * The table <code>CLIENT_TO_DSP</code>.
     */
    public final ClientToDsp CLIENT_TO_DSP = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.ClientToDsp.CLIENT_TO_DSP;

    /**
     * The table <code>COMMERCIAL_OFFERS</code>.
     */
    public final CommercialOffers COMMERCIAL_OFFERS = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.CommercialOffers.COMMERCIAL_OFFERS;

    /**
     * The table <code>currency_rate</code>.
     */
    public final CurrencyRate CURRENCY_RATE = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.CurrencyRate.CURRENCY_RATE;

    /**
     * The table <code>DSR_METADATA</code>.
     */
    public final DsrMetadata DSR_METADATA = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrMetadata.DSR_METADATA;

    /**
     * The table <code>DSR_METADATA_CONFIG</code>.
     */
    public final DsrMetadataConfig DSR_METADATA_CONFIG = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrMetadataConfig.DSR_METADATA_CONFIG;

    /**
     * The table <code>DSR_STATISTICS</code>.
     */
    public final DsrStatistics DSR_STATISTICS = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrStatistics.DSR_STATISTICS;

    /**
     * The table <code>DSR_STATISTICS_SOPHIA</code>.
     */
    public final DsrStatisticsSophia DSR_STATISTICS_SOPHIA = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrStatisticsSophia.DSR_STATISTICS_SOPHIA;

    /**
     * The table <code>DSR_STEPS_MONITORING</code>.
     */
    public final DsrStepsMonitoring DSR_STEPS_MONITORING = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrStepsMonitoring.DSR_STEPS_MONITORING;

    /**
     * The table <code>DSR_UNIDENTIFIED</code>.
     */
    public final DsrUnidentified DSR_UNIDENTIFIED = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrUnidentified.DSR_UNIDENTIFIED;

    /**
     * The table <code>IMPORTI_ANTICIPO</code>.
     */
    public final ImportiAnticipo IMPORTI_ANTICIPO = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.ImportiAnticipo.IMPORTI_ANTICIPO;

    /**
     * The table <code>INVOICE</code>.
     */
    public final Invoice INVOICE = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.Invoice.INVOICE;

    /**
     * The table <code>INVOICE_ACCANTONAMENTO</code>.
     */
    public final InvoiceAccantonamento INVOICE_ACCANTONAMENTO = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceAccantonamento.INVOICE_ACCANTONAMENTO;

    /**
     * The table <code>INVOICE_ITEM</code>.
     */
    public final InvoiceItem INVOICE_ITEM = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceItem.INVOICE_ITEM;

    /**
     * The table <code>INVOICE_ITEM_TO_CCID</code>.
     */
    public final InvoiceItemToCcid INVOICE_ITEM_TO_CCID = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceItemToCcid.INVOICE_ITEM_TO_CCID;

    /**
     * The table <code>INVOICE_LOG</code>.
     */
    public final InvoiceLog INVOICE_LOG = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceLog.INVOICE_LOG;

    /**
     * The table <code>INVOICE_RECLAMO</code>.
     */
    public final InvoiceReclamo INVOICE_RECLAMO = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceReclamo.INVOICE_RECLAMO;

    /**
     * The table <code>ITEM_INVOICE_REASON</code>.
     */
    public final ItemInvoiceReason ITEM_INVOICE_REASON = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.ItemInvoiceReason.ITEM_INVOICE_REASON;

    /**
     * The table <code>MM_RIPARTIZIONE_648</code>.
     */
    public final MmRipartizione_648 MM_RIPARTIZIONE_648 = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.MmRipartizione_648.MM_RIPARTIZIONE_648;

    /**
     * The table <code>MM_RIPARTIZIONE_CARICO</code>.
     */
    public final MmRipartizioneCarico MM_RIPARTIZIONE_CARICO = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO;

    /**
     * The table <code>MM_RIPARTIZIONE_CARICO_CCID</code>.
     */
    public final MmRipartizioneCaricoCcid MM_RIPARTIZIONE_CARICO_CCID = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID;

    /**
     * The table <code>unidentified_song_dsr</code>.
     */
    public final UnidentifiedSongDsr UNIDENTIFIED_SONG_DSR = com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR;

    /**
     * No further instances allowed
     */
    private DefaultSchema() {
        super("", null);
    }


    /**
     * {@inheritDoc}
     */
    @Override
    public Catalog getCatalog() {
        return DefaultCatalog.DEFAULT_CATALOG;
    }

    @Override
    public final List<Table<?>> getTables() {
        List result = new ArrayList();
        result.addAll(getTables0());
        return result;
    }

    private final List<Table<?>> getTables0() {
        return Arrays.<Table<?>>asList(
            AnagClient.ANAG_CLIENT,
            AnagDsp.ANAG_DSP,
            AnagUtilizationType.ANAG_UTILIZATION_TYPE,
            BackclaimInProgress.BACKCLAIM_IN_PROGRESS,
            CcidMetadata.CCID_METADATA,
            CcidS3Path.CCID_S3_PATH,
            ClientToDsp.CLIENT_TO_DSP,
            CommercialOffers.COMMERCIAL_OFFERS,
            CurrencyRate.CURRENCY_RATE,
            DsrMetadata.DSR_METADATA,
            DsrMetadataConfig.DSR_METADATA_CONFIG,
            DsrStatistics.DSR_STATISTICS,
            DsrStatisticsSophia.DSR_STATISTICS_SOPHIA,
            DsrStepsMonitoring.DSR_STEPS_MONITORING,
            DsrUnidentified.DSR_UNIDENTIFIED,
            ImportiAnticipo.IMPORTI_ANTICIPO,
            Invoice.INVOICE,
            InvoiceAccantonamento.INVOICE_ACCANTONAMENTO,
            InvoiceItem.INVOICE_ITEM,
            InvoiceItemToCcid.INVOICE_ITEM_TO_CCID,
            InvoiceLog.INVOICE_LOG,
            InvoiceReclamo.INVOICE_RECLAMO,
            ItemInvoiceReason.ITEM_INVOICE_REASON,
            MmRipartizione_648.MM_RIPARTIZIONE_648,
            MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO,
            MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID,
            UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR);
    }
}
